{
function batch_convert()
{
var batch_problems,all_docs,params;
{
function find_documents(params)
{
{
function find_opendocs(docs,params)
{
var i,array;
{
array = [];
for (  i=0 ; i<docs.length ; i = i+1)
{
try 
{
if(docs[i].saved == false)
docs[i].save(File(params.output_folder + docs[i].name));
array.push(docs[i].fullName);
}

catch (e)
{
batch_problems.push((docs[i].name + ": ") + e.message);
}
}
return  array;
}
}
if(app.documents.length > 0)
return  find_opendocs(app.documents,params);
else
return  find_files(params.input_folder,params.include_subdir,params.source_type);
}
}
params = get_data(File(script_dir() + "batch_convert.txt"));
batch_problems = [];
all_docs = find_documents(params);
batch_problems = process_docs(all_docs,params,batch_problems);
try 
{
Window.find("palette","message").close();
}

catch (_)
{}
app.pdfExportPreferences.viewPDF = params.viewPDFstate;
if(batch_problems.length > 0)
alert("Problems with:\r\r" + batch_problems.join("\r"));
}
}
function process_docs(docs,params,batch_problems)
{
var outfile,outfolder,imgs,i,z,script_to_run,html_properties,re,stories,longest_name,zz,show_filename,current_doc,output_name;
{
function strip_drive(doc)
{
{
return  String(doc.filePath).replace(RegExp("\\/[^\\/]+\\/",""),"");
}
}
longest_name = get_longest(docs) + 6;
show_filename = create_message_window(longest_name);
re = RegExp("\\.[^\\.]+$","");
if(params.runscript_enabled)
{
script_to_run = File(script_dir() + params.selected_script);
}
if((params.target_type == "HTML") && (params.html_preset != "[None]"))
{
html_properties = get_html_properties(params.html_preset);
}
for (  i=0 ; i<docs.length ; i = i+1)
{
try 
{
current_doc = open_doc(docs[i],params);
output_name = docs[i].name.replace(re,"." + params.target_type.toLowerCase());
if(params.runscript_enabled)
{
try 
{
app.doScript(script_to_run);
}

catch (e)
{
batch_problems.push(((((decodeURI(docs[i]) + ": ") + e.message) + " (at line ") + e.line) + ")");
}
}
if(params.output_folder == "")
outfile = new File((File(docs[i].fullName).path + "/") + output_name);
else
outfile = new File(params.output_folder + output_name);
show_filename.text = ((((decodeURI(docs[i].fullName) + " (") + Number(i + 1)) + " of ") + docs.length) + ")";
if(params.update_links)
try 
{
current_doc.links.everyItem().update();
}

catch (_)
{
batch_problems.push("Missing links in " + decodeURI(docs[i]));
}
switch (params.target_type)
{

case "PDF":
{
if(params.interactivePDF == false)
{
app.pdfExportPreferences.pageRange = PageRange.allPages;
current_doc.exportFile(ExportFormat.pdfType,outfile,false,params.pdf_preset);
}
else
{
current_doc.exportFile(ExportFormat.INTERACTIVE_PDF,outfile,false);
}
break ;
}

case "EPS":
{
{
if(params.outlines == true)
{
stories = current_doc.stories.everyItem().getElements();
for (  zz=0 ; zz<stories.length ; zz = zz+1)
{
try 
{
stories[i].createOutlines(true);
}

catch (_)
{}
}
}
current_doc.exportFile(ExportFormat.epsType,outfile,false);
break ;
}
}

case "HTML":
{
{
if(params.html_preset != "[None]")
{
current_doc.htmlExportPreferences.properties = html_properties;
}
current_doc.htmlExportPreferences.viewDocumentAfterExport = params.view_html;
current_doc.exportFile(ExportFormat.html,outfile);
break ;
}
}

case "INX":
{
current_doc.exportFile(ExportFormat.indesignInterchange,outfile);
break ;
}

case "IDML":
{
current_doc.exportFile(ExportFormat.indesignMarkup,outfile);
break ;
}

case "XML":
{
current_doc.exportFile(ExportFormat.xml,outfile);
break ;
}

case "JPG":
{
current_doc.exportFile(ExportFormat.jpg,outfile,false);
break ;
}

case "PNG":
{
current_doc.exportFile(ExportFormat.PNG_FORMAT,outfile,false);
break ;
}

case "SWF":
{
current_doc.exportFile(ExportFormat.SWF,outfile,false);
break ;
}

case "RTF":
{
rtf_story(current_doc).exportFile(ExportFormat.rtf,outfile);
break ;
}

case "INDD":
{
current_doc.save(outfile);
break ;
}

case "INDT":
{
current_doc.save(outfile);
break ;
}

case "PACK":
{
{
if(params.preserve_structure_for_package == false)
outfolder = Folder(params.output_folder);
else
{
outfolder = Folder(params.output_folder + strip_drive(current_doc));
if(outfolder.exists == false)
outfolder.create();
}
current_doc.packageForPrint(outfolder,true,true,true,true,true,true,true);
}
}
}
}

catch (e)
{
batch_problems.push(((((decodeURI(docs[i]) + ": ") + e.message) + " (") + e.line) + ")");
}
if(params.save_docs)
current_doc.save();
if(params.close_open_docs)
{
try 
{
current_doc.close(SaveOptions.no);
}

catch (_)
{
batch_problems.push("Problem closing " + decodeURI(docs[i]));
}
}
}
if(params.close_open_docs)
for(i = app.documents.length - 1;i > -1;i--)
app.documents[i].close(SaveOptions.no);
return  batch_problems;
}
}
function open_doc(f,params)
{
{
if(params.ignore_errors == true)
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.neverInteract;
if((app.documents.length > 0) || params.runscript_enabled)
app.open(f);
else
app.open(f,false);
app.scriptPreferences.userInteractionLevel = UserInteractionLevels.interactWithAll;
return  app.documents[0];
}
}
function get_longest(docs)
{
var i,longest;
{
longest = 0;
for (  i=0 ; i<docs.length ; i = i+1)
longest = Math.max(longest,docs[i].fullName.length);
return  longest;
}
}
function create_message_window(le)
{
{
dlg = new Window("palette","message");
dlg.alignChildren = ["left","top"];
message_txt = dlg.add("statictext",undefined,"");
message_txt.characters = le;
dlg.show();
return  message_txt;
}
}
function get_data(history)
{
var check_boxes,subfolders,outfolder_name,outfolder_button,formats,source_group,source_list,target_list,pdf_presets,pdf_presetGroup,ID,view_pdf,html_presetGroup,misc_options,runscript,runscript_check,scriptdropdown,dummy,okButton,previous,obj,folder,w,buttons,outfolder,update_links,interactivePDF,outlines,view_html,preserve_structure_for_package,save_docs,options,close_open_docs,ignore_errors,main,infolder,inp,inlist,infolder_name,infolder_button;
{
function find_html_presets()
{
var i,presets,file_array;
{
presets = Folder(script_dir()).getFiles("*.html_preset");
file_array = ["[None]"];
for (  i=0 ; i<presets.length ; i = i+1)
{
file_array.push(presets[i].name.replace(".html_preset",""));
}
return  file_array;
}
}
function set_helptips(val)
{
{
if(val)
{
outfolder_name.helpTip = "With \"Include subfolders\" checked and \"Output folder\" blank, documents are saved in their originating folders.\r\rWith \"Include subfolders\" checked and \"Output folder\" specified, documents from all subfolders are saved in the specified output folder.Existing files are overwritten.";
ignore_errors.helpTip = "Errors relating to missing fonts and missing and/or modified links are ignored.";
source_list.helpTip = "PageMaker: versions 6.0-7.0 only.\rQuarkExpress: versions 3.3-4.1x only.";
target_list.helpTip = "CS3 reads and writes INX only;\rCS4 reads and writes INX and IDML;\rCS5+ read and write IDML only.\r\rPackaging: CS5 and later.\rHTML: CS5.5 and later.\rPNG: CS6 and later.\rSWF: CS7 and later.";
preserve_structure_for_package.helpTip = "When CHECKED, all documents are packaged together in the output folder (all document fonts together, all links together, each in their own subfolders).\r\rWhen UNCHECKED, the folder structure is preserved, i.e. is recreated under the output folder.";
update_links.helpTip = "Force links to update (even if \"Ignore errors\" is checked). Note that only modified links are handled; the script cannot deal with missing links.";
close_open_docs.helpTip = "If the script is run when some documents are open, choose to close those documents after they're processed.";
runscript_check.helpTip = "Run a script against documents before converting them or saving hem back as InDesign files.\rTo saved the changes a script made, check \"Save documents on closing\".";
save_docs.helpTip = "Choose to save documents if they've changed (by running a script against them or if you opted to update any links).";
if(parseFloat(app.version) > 7)
{
html_presetlist.helpTip = "To export HTML using each document's own export settings, select [None].";
}
helptip_button.helpTip = "Disable tooltips";
}
else
{
outfolder_name.helpTip = "";
ignore_errors.helpTip = "";
source_list.helpTip = "";
target_list.helpTip = "";
preserve_structure_for_package.helpTip = "";
update_links.helpTip = "";
close_open_docs.helpTip = "";
runscript_check.helpTip = "";
save_docs.helpTip = "";
if(parseFloat(app.version) > 7)
{
html_presetlist.helpTip = "";
}
helptip_button.helpTip = "Enable tooltips";
}
}
}
function find_scripts()
{
var i,le,file_array,script_files;
{
script_files = Folder(script_dir()).getFiles("*.js*");
file_array = [];
le = script_files.length;
for (  i=0 ; i<le ; i = i+1)
file_array[i] = script_files[i].name;
return  file_array;
}
}
function fill_list(list,str)
{
var i,array;
{
array = str.split("\xa3$\xa3");
for (  i=0 ; i<array.length ; i = i+1)
list.add("item",array[i]);
return  array[0];
}
}
function create_string(list,new_mask)
{
var i,stop,str;
{
if(parseInt(app.version) == 6)
return  new_mask;
list.remove(list.find(new_mask));
if(list.items.length > 0)
list.add("item",new_mask,0);
else
list.add("item",new_mask);
str = "";
stop = Math.min(list.items.length,8) - 1;
for (  i=0 ; i<stop ; i = i+1)
str += (list.items[i].text + "\xa3$\xa3");
str += list.items[i].text;
return  str;
}
}
function get_source_extension(s)
{
{
switch (s)
{

case "InDesign":
{
return  ["INDD"];
}

case "InDesign (template)":
{
return  ["INDT"];
}

case "IDML":
{
return  ["IDML"];
}

case "INX":
{
return  ["INX"];
}

case "PageMaker":
{
return  ["PMD","PM6","P65"];
}

case "QuarkExpress":
{
return  ["QXD"];
}
}
}
}
function get_target_extension(s)
{
{
switch (s)
{

case "InDesign":
{
return  "INDD";
}

case "InDesign (template)":
{
return  "INDT";
}

case "Package":
{
return  "PACK";
}

case "PDF (Interactive)":
{
return  "PDF";
}

default:
{
return  s;
}
}
}
}
function array_index(array)
{
var i;
{
for (  i=0 ; i<array.length ; i = i+1)
if(array[i].value == true)
return  i;
}
}
interactivePDF = false;
w = new Window("dialog","Batch process",undefined,{closeButton:false});
w.alignChildren = "fill";
main = w.add("group {alignChildren: \"fill\", orientation: \"column\"}");
folder = main.add("panel {alignChildren: \"right\"}");
infolder = folder.add("group {_: StaticText {text: \"Input folder:\"}}");
inp = infolder.add("group {alignChildren: \"left\", orientation: \"stack\"}");
if(File.fs != "Windows")
inlist = inp.add("dropdownlist");
infolder_name = inp.add("edittext");
if(File.fs == "Windows")
inlist = inp.add("dropdownlist");
inlist.preferredSize = [330,22];
infolder_name.preferredSize = [310,22];
infolder_button = infolder.add("iconbutton",undefined,folder_icon(),{style:"toolbutton"});
check_boxes = folder.add("group {orientation: \"row\"}");
check_boxes.margins.right = 30;
subfolders = check_boxes.add("checkbox",undefined,"Include subfolders");
subfolders.enabled = app.documents.length == 0;
ignore_errors = check_boxes.add("checkbox",undefined,"Ignore errors");
ignore_errors.value = true;
outfolder = folder.add("group {orientation: \"row\", _: StaticText {text: \"Output folder:\"}}");
outfolder_name = outfolder.add("edittext");
outfolder_name.preferredSize.width = 330;
outfolder_button = outfolder.add("iconbutton",undefined,folder_icon(),{style:"toolbutton"});
formats = main.add("panel {orientation: \"row\"}");
source_group = formats.add("group");
source_group.add("statictext",undefined,"Source format:");
source_list = source_group.add("dropdownlist",undefined,["InDesign","InDesign (template)","INX","IDML","PageMaker","QuarkExpress"]);
source_list.preferredSize.width = 130;
formats.add("statictext",undefined,"Target format:");
target_list = formats.add("dropdownlist",undefined,["InDesign","InDesign (template)","INX","IDML","PDF","PDF (Interactive)","EPS","RTF","HTML","XML","JPG","PNG","SWF","Package"]);
target_list.preferredSize.width = 130;
options = main.add("panel {alignChildren: \"left\"}");
pdf_presets = app.pdfExportPresets.everyItem().name;
pdf_presetGroup = options.add("group");
pdf_presetGroup.add("statictext {text: \"PDF presets:\", characters: 11}");
pdf_presetlist = pdf_presetGroup.add("dropdownlist",undefined,pdf_presets);
pdf_presetlist.preferredSize.width = 200;
pdf_presetlist.selection = 0;
view_pdf = pdf_presetGroup.add("checkbox",undefined,"View PDFs after export");
view_pdf.value = app.pdfExportPreferences.viewPDF;
if(parseFloat(app.version) > 7)
{
html_presetGroup = options.add("group");
html_presetGroup.add("statictext {text: \"HTML presets:\", characters: 11}");
html_presetlist = html_presetGroup.add("dropdownlist",undefined,find_html_presets());
html_presetlist.preferredSize.width = 200;
html_presetlist.selection = 0;
view_html = html_presetGroup.add("checkbox",undefined,"View HTML after export");
}
preserve_structure_for_package = options.add("checkbox {text: \"Preserve folder structure when packaging\"}");
misc_options = options.add("group {alignChildren: \"left\", orientation: \"column\"}");
outlines = misc_options.add("checkbox",undefined,"Convert text to outlines (EPS export)");
update_links = misc_options.add("checkbox",undefined,"Update modified links before exporting (missing links are always ignored)");
close_open_docs = misc_options.add("checkbox",undefined,"Close open documents");
runscript = misc_options.add("group");
runscript_check = runscript.add("checkbox {text: 'Run a script:'}");
scriptdropdown = runscript.add("dropdownlist",undefined,find_scripts());
scriptdropdown.selection = 0;
save_docs = misc_options.add("checkbox",undefined,"Save documents on closing");
dummy = w.add("group {orientation: \"row\", alignment: \"fill\"}");
helptip_button = dummy.add("checkbox {text: \"Show tool tips\"}");
buttons = dummy.add("group {orientation: \"row\", alignment: [\"right\",\"\"]}");
okButton = buttons.add("button",undefined,"OK");
buttons.add("button",undefined,"Cancel",{name:"cancel"});
helptip_button.onClick = (function ()
{
{
set_helptips(helptip_button.value);
}
})
;
inlist.onChange = (function ()
{
{
infolder_name.text = outfolder_name.text = inlist.selection.text;
}
})
;
infolder_name.onChange = (function ()
{
{
this.text = this.text.replace(RegExp("([^\\/])$",""),"$1/");
if(Folder(this.text).exists == false)
this.text = "Folder does not exist".toUpperCase();
else
outfolder_name.text = this.text;
this.active = true;
}
})
;
outfolder_name.onChange = (function ()
{
{
if((this.text != "") && (Folder(this.text).exists == false))
this.text = "Folder does not exist";
if((this.text != "") && (Folder(this.text).exists == true))
this.text = this.text.replace(RegExp("([^\\/])$",""),"$1/");
this.active = true;
}
})
;
infolder_button.onClick = (function ()
{
var f;
{
f = Folder(infolder_name.text).selectDlg("Choose a folder");
if(f != null)
{
infolder_name.text = f.fullName + "/";
outfolder_name.text = f.fullName + "/";
infolder_name.active = true;
}
else
return  0;
}
})
;
outfolder_button.onClick = (function ()
{
var f;
{
f = Folder(outfolder_name.text).selectDlg("Choose a folder");
if(f != null)
{
outfolder_name.text = f.fullName + "/";
outfolder_name.active = true;
}
else
return  0;
}
})
;
target_list.onChange = (function ()
{
{
pdf_presetGroup.enabled = false;
if(parseFloat(app.version) > 7)
{
html_presetGroup.enabled = false;
}
outlines.value = false;
outlines.enabled = false;
preserve_structure_for_package.enabled = false;
update_links.enabled = true;
switch (target_list.selection.text)
{

case "PDF":
{
pdf_presetGroup.enabled = true;
interactivePDF = false;
break ;
}

case "HTML":
{
html_presetGroup.enabled = true;
break ;
}

case "PDF (Interactive)":
{
interactivePDF = true;
break ;
}

case "EPS":
{
outlines.enabled = true;
break ;
}

case "Package":
{
preserve_structure_for_package.enabled = true;
update_links.enabled = false;
}
}
}
})
;
source_list.onChange = (function ()
{
{
update_links.enabled = false;
if(source_list.selection.text.indexOf("InDesign") > -1)
update_links.enabled = true;
}
})
;
runscript_check.onClick = (function ()
{
{
scriptdropdown.enabled = runscript_check.value;
if(! this.value)
save_docs.value = false;
save_docs.enabled = this.value;
}
})
;
ID = parseFloat(app.version);
if(ID < 6)
{
source_list.remove(source_list.find("IDML"));
target_list.remove(target_list.find("IDML"));
target_list.remove(target_list.find("Package"));
}
if(ID < 7)
{
target_list.remove(target_list.find("PDF (Interactive)"));
}
// if(ID >= 7)
// {
// source_list.remove(source_list.find("INX"));
// target_list.remove(target_list.find("INX"));
// }
if(ID < 7.500000)
{
target_list.remove(target_list.find("HTML"));
}
if(ID < 8)
{
target_list.remove(target_list.find("PNG"));
}
if(ID < 9)
{
target_list.remove(target_list.find("SWF"));
}
if(history.exists == true)
{
previous = get_previous(history);
infolder_name.text = fill_list(inlist,previous.input_folder);
outfolder_name.text = previous.output_folder;
subfolders.value = previous.include_subdir;
ignore_errors.value = previous.ignore_errors;
source_list.selection = source_list.find(previous.source_name);
target_list.selection = target_list.find(previous.target_name);
try 
{
preserve_structure_for_package.value = previous.preserve_structure_for_package;
}

catch (_)
{}
pdf_presetlist.selection = pdf_presetlist.find(previous.pdf_preset);
if((parseFloat(app.version) > 7) && ("html_preset" in previous))
{
html_presetlist.selection = html_presetlist.find(previous.html_preset);
view_html.value = previous.view_html;
}
update_links.value = previous.update_links;
outlines.value = previous.outlines;
if(app.documents.length > 0)
{
infolder_name.text = "";
}
if(previous.runscript_check != null)
runscript_enabled.value = previous.runscript_check;
if(previous.selected_script != null)
scriptdropdown.selection = scriptdropdown.find(previous.selected_script);
if(previous.helptips == undefined)
{
helptip_button.value = true;
}
else
{
helptip_button.value = previous.helptips;
}
}
else
{
source_list.selection = source_list.find("InDesign");
target_list.selection = target_list.find("PDF");
outlines.enabled = false;
scriptdropdown.selection = 0;
if(parseInt(app.version) > 7)
{
view_html.value = false;
}
}
set_helptips(helptip_button.value);
if(app.documents.length > 0)
{
subfolders.value = false;
infolder.enabled = false;
source_list.selection = source_list.find("InDesign");
source_group.enabled = false;
outfolder_name.active = true;
}
else
{
close_open_docs.value = true;
close_open_docs.enabled = false;
}
if(w.show() == 2)
{
w.close();
exit();
}
else
{
if(infolder_name.text == "FOLDER DOES NOT EXIST")
exit();
if((infolder_name.text == outfolder_name.text) && (target_list.selection.text == "Package"))
{
alert("Package output folder cannot be the same as the input folder.");
exit();
}
obj = {input_folder:create_string(inlist,infolder_name.text),output_folder:outfolder_name.text,source_type:get_source_extension(source_list.selection.text),source_name:source_list.selection.text,target_type:get_target_extension(target_list.selection.text),target_name:target_list.selection.text,include_subdir:subfolders.value,ignore_errors:ignore_errors.value,preserve_structure_for_package:preserve_structure_for_package.value,pdf_preset:pdf_presetlist.selection.text,outlines:outlines.value,update_links:update_links.value,save_docs:save_docs.value,close_open_docs:close_open_docs.value,viewPDFstate:view_pdf.value,runscript_enabled:runscript_check.value,selected_script:runscript_check.value?scriptdropdown.selection.text:"",interactivePDF:interactivePDF,helptips:helptip_button.value};
if(parseFloat(app.version) > 7)
{
obj.html_preset = html_presetlist.selection.text;
obj.view_html = view_html.value;
}
app.pdfExportPreferences.viewPDF = view_pdf.value;
store_settings(history,obj);
w.close();
obj.input_folder = infolder_name.text;
return  obj;
}
}
}
function get_previous(f)
{
var temp;
{
temp = {};
if(f.exists)
{
f.open("r");
temp = f.read();
f.close();
}
return  eval(temp);
}
}
function store_settings(f,obj)
{
{
f.open("w");
f.write(obj.toSource());
f.close();
}
}
function script_dir()
{
{
try 
{
return  File(app.activeScript).path + "/";
}

catch (e)
{
return  File(e.fileName).path + "/";
}
}
}
function array_item(s,array)
{
var i;
{
for (  i=0 ; i<array.length ; i = i+1)
if(s == array[i])
return  i;
return  0;
}
}
function find_files(dir,incl_sub,mask_array)
{
var i,arr;
{
arr = [];
for (  i=0 ; i<mask_array.length ; i = i+1)
if(incl_sub == true)
arr = arr.concat(find_files_sub(dir,[],mask_array[i]));
else
arr = arr.concat(Folder(dir).getFiles("*" + mask_array[i]));
return  arr;
}
}
function find_files_sub(dir,array,mask)
{
var i,f;
{
f = Folder(dir).getFiles("*.*");
for (  i=0 ; i<f.length ; i = i+1)
if(f[i] instanceof Folder)
find_files_sub(f[i],array,mask);
else
if(f[i].name.substr(- mask.length).toUpperCase() == mask)
array.push(f[i]);
return  array;
}
}
function get_html_properties(preset)
{
var i,props,o,parts;
{
{
o = {};
props = get_props(preset);
}
for (  i=0 ; i<props.length ; i = i+1)
{
parts = props[i].split(": ");
if((parts[0] != "imageExtension") && (parts[0] != "serverPath"))
{
o[parts[0]] = eval(check_prop(parts));
}
}
return  o;
}
}
function check_prop(parts)
{
{
switch (parts[0])
{

case "externalStyleSheets":
{
return  parts[1].split(",");
}

case "javascripts":
{
return  parts[1].split(",");
}
}
return  parts[1];
}
}
function get_props(preset)
{
var f,p;
{
f = File(((script_dir() + "/") + preset) + ".html_preset");
f.open("r");
p = f.read().split(RegExp("[\\n\\r]+",""));
f.close();
return  p;
}
}
function rtf_story(doc)
{
var i,rtf_frame;
{
doc.masterSpreads.everyItem().pageItems.everyItem().locked = false;
doc.masterSpreads.everyItem().pageItems.everyItem().remove();
while (doc.groups.length > 0)
doc.groups.everyItem().ungroup();
inlines(doc);
if(parseInt(app.version) > 6)
rtf_frame = doc.masterSpreads[0].textFrames.add({name:"rtf",geometricBounds:["2cm","2cm","15cm","15cm"]});
else
rtf_frame = doc.masterSpreads[0].textFrames.add({label:"rtf",geometricBounds:["2cm","2cm","15cm","15cm"]});
move_story(longest_story(doc),rtf_frame);
if(doc.stories.length > 1)
for (  i=0 ; i<doc.pages.length ; i = i+1)
while (doc.pages[i].textFrames.length > 0)
move_story(doc.pages[i].textFrames[0].parentStory,rtf_frame);
return  rtf_frame.parentStory;
}
}
function move_story(st,target_frame)
{
var i,story_frames;
{
story_frames = st.textContainers;
st.move(LocationOptions.atEnd,target_frame.parentStory);
target_frame.parentStory.insertionPoints[-1].contents = "\r";
for(i = story_frames.length - 1;i > -1;i--)
{
story_frames[i].locked = false;
story_frames[i].remove();
}
}
}
function inlines(doc)
{
var st,i,ix;
{
st = doc.stories;
for(i = doc.stories.length - 1;i > -1;i--)
while (st[i].textFrames.length > 0)
{
ix = st[i].textFrames[-1].parent.index;
st[i].textFrames[-1].texts[0].move(LocationOptions.after,st[i].insertionPoints[ix]);
st[i].textFrames[-1].locked = false;
st[i].textFrames[-1].remove();
}
}
}
function longest_story(doc)
{
var i,temp,len;
{
temp = doc.stories[0];
len = doc.stories[0].contents.length;
if(doc.stories.length > 1)
for (  i=1 ; i<doc.stories.length ; i = i+1)
if(doc.stories[i].contents.length > len)
{
len = doc.stories[i].contents.length;
temp = doc.stories[i];
}
return  temp;
}
}
function folder_icon()
{
{
return  "\x89PNG\r\n\x1a\n\x00\x00\x00\rIHDR\x00\x00\x00\x16\x00\x00\x00\x12\x08\x06\x00\x00\x00_%.-\x00\x00\x00\tpHYs\x00\x00\x0b\x13\x00\x00\x0b\x13\x01\x00\x9a\x9c\x18\x00\x00\x00\x04gAMA\x00\x00\xb1\x8e|\xfbQ\x93\x00\x00\x00 cHRM\x00\x00z%\x00\x00\x80\x83\x00\x00\xf9\xff\x00\x00\x80\xe9\x00\x00u0\x00\x00\xea`\x00\x00:\x98\x00\x00\x17o\x92_\xc5F\x00\x00\x02\xdeIDATx\xdab\xfc\xff\xff?\x03-\x00@\x0011\xd0\x08\x00\x04\x10\xcd\x0c\x06\x08 \x16\x18CFR\x12L\xcf*\x92e\xfe\xf7\x9f!\x8c\x97\x8by\x19\x88\xff\xf7\xef\x7f\x86\xcf\xdf\xfe\xc6dOz\xb2\x1c\xc8\xfd\x0f\xc5\x04\x01@\x00\xa1\xb8\x18f(##C\xad\x9ak9\x83\x8e_\x17\x83i\xd4<\x06\x16f\xc6\x9a\t\xd9\xd21@%\xcc@\xccH\x8c\xc1\x00\x01\xc4\x08\x8b<\x90\x8bg\x14\xcaF212,\xd3q\xcdb\xe0\x16Rf`\xe3\x14f`\xe5\x14d\xf8\xff\xe7'\xc3\xfe\xd9a\x18\x9a\xff\xfe\xfb\x9fq\xf3\xf1\xcf%\x13\xd6\xbe\xfe\x86\xee\x13\x80\x00bA\xb6\x04d\xa8\xa1_\x15\xd8@\x98\xa1\xac\xec\xfc\x0c\xcc<\\\x0c^\xa5\xa7P\x0c\xfd\xf6\xee.\xc3\xdd\x03\x1d3\xbe\xff<\xff\x0c\xc8\xdd\x01\xc4\x7f\x90\r\x07\x08 \x14\x83A\x04\xccP6\x0e!\x86\xa3s\x03\x18XY\x19\x19\xfe\x01\xc3\x07\x14\xd6\x7f\xa1\xf4\x9f\xbf\x0c`\x0cb\x03}\xbc\xa9+U\x92\xe1\xf9\x9b\xbf\xba\xfd\xeb_]\x83\xc5\x03@\x00\xb1\xa0\x877\xcc\xa5\xf7\x0f\xf72\xc8\x1b\x052p\n(\x80\xa5\xfe\xfd\xf9\xc5\xf0\xf7\xf7o\x86?\xbf\x7f1\xfc\xf9\x05\xa1\xff\xfe\xf9\r\xc6\x9f\x9e_\x00\xc6\xc3\xfdI@\x85^@\xfc\x1b\x14J\x00\x01\xc4\x84\xeeb\x90\xa1\xbf>\xbfd\xf8\xfc\xea:\x03\xa7\xa0\"\xc3\xbf\xbf\xbf\x19\xfe\xff\xfd\x034\xf8\x0f\xd8\x90\x7f\xbfAl \xfd\xef/P\xee\x0fX\xfe\xc0\xb1+\x0c\x8f^\xfd<\x08\xd4\xce\x01\x8b`\x80\x00\xc2\x08\n\x0e\x1eI\x86\x9b\xdb\xca\x19\x84\x94\xec\x81\x81\xce\xca\xc0\xc4\x04\xf4\xfe\xaf_`\x83A\x86\x82]\xf9\x17j8\x90\xfe\xf1\xe9)\xc3\xd6\x13/\x19\xee\xbfa\xd8\xc2\xce\xc6\xce\n5\xf8\x0f@\x00ad\x90W7\xb60\xfc\xfb\xff\x87\x81KX\x05\xe8\xd2\xdf`\x03\xfe\x82]\x0bq\xdd\xbf\xbf0\x97\xfe\x05\x86\xef_\x86\xc3G\x8e1\xdcy\xfe}9\xd0\xd0O\xc8I\x11 \x800\x0c~xr\x06\x83\xa0\x825\xc3\xff\x7fPW\x01\r\x04Y\x00q\xe9_ \x86\x1a\x0e\x94\xff\t\x0c\xb2\x95\xfb\x9f20\xb3p\xcc\x82\xa6\n\x10\xfe\x07\x8a<\x80\x00\xc20\x98\x9dO\x82\x81\x9dG\x02\x12\xae@\xcd \x83\xc0^\x07bP\xe4\xfd\x83\x1a\xfe\x1f\xe8\xabS'\x8f2\xdc{\xfe}\x1d;;\xc7\x0b\xa0\xd6\x9f@\xfc\x0b\x14q \x83\x01\x02\x88\x05\xc5P6&\x86\xf6i\xdb\x18^\xbe[\x0fNJ\xbf\xff\xfcc\x00&\x00\x86\xdf\xbf!l`\x10\x03\x93\xd9\x7f0\xfe\x0b\xccX\xdf\x7f\xfee`e\xe3\x9c\t5\xf0'\x92\x8b\x19\x00\x02\x089\xe7\x81\x02\x9e\x0b\x88\xf9\xa14+\x119\xf7\x1f\xd4\xd0/P\xfc\x1dj8\x03@\x00!\xbb\xf8?T\xf0'\x96\xccC\xc8\xe0\xefP\xfa\x1fL\x02 \x80X\xd0\x14\xfd\x86\xda\xfc\x83\xc8\"\x15\xe6\x98\xdf\xc8\xc1\x00\x02\x00\x01\x06\x000\xb2{\x9a\xb3\x1c#o\x00\x00\x00\x00IEND\xaeB`\x82";
}
}
try 
{
batch_convert();
}

catch (e)
{
alert(((e.message + " (line ") + e.line) + ")");
}
}
